/* tsiproxy server commands */
#ifndef COMMANDS_H
# define COMMANDS_H

#include <arpa/inet.h>
#include <netinet/in.h>

void run_ping(unsigned int clientsock, acl_t acl, uint32_t src_ip, char *IP);
void show_stats(unsigned int clientsock, acl_t acl, char *IP);
void show_info(unsigned int clientsock, acl_t acl, char *IP);
void read_info(unsigned int clientsock, acl_t acl, char *IP);
void run_netconf(unsigned int clientsock, acl_t acl, char *IP);
void run_chanconf(unsigned int clientsock, acl_t acl, char *IP);
void run_getnetconf(unsigned int clientsock, acl_t acl, char *IP);
void run_getchanconf(unsigned int clientsock, acl_t acl, char *IP);
void run_livecheck(unsigned int clientsock, acl_t acl, char *IP);
void run_channels(unsigned int clientsock, acl_t acl, char *IP);

#endif
