/* tsiproxy stream proxy */
#ifndef PROXY_COMMON_H
# define PROXY_COMMON_H

#include "data.h"

void process_client(int clientsock, CLIENT *client);

void proxy_begin_reconnect(RESTREAMER *r);

void proxy_close(RESTREAMER *r, int error_code);

int connect_source(RESTREAMER *r, int retries, int readbuflen, int *http_code);

void process_new_clients(RESTREAMER *r, int bufsz, uint32_t start_pts, unsigned int pos);

int shout(RESTREAMER *r, char *buf, const size_t bufsz, const size_t framelen, unsigned int pos, const char *content_type, char *header, unsigned int header_len);

int check_restreamer_state(RESTREAMER *r);

#endif
